#include "led.h"
#include "delay.h"
#include "sys.h"
#include "usart.h"
#include "key.h"
#include "string.h"
#include "uart2.h"
#include "gprs.h"
#include "iwdg.h"
#include "dht11.h"


//上传数据的服务器
#define IP "120.77.1.207" 
#define port "8888"


int main(void)
{
	u8 t=0;			    
	u8 temperature = 0;  	    //温度
	u8 humidity = 0;    	    //湿度
	u8 data[200] = {0};			//上传到服务器的数据
	char i = 0;
	char num = 0;
	u8 gps[50] = {0};				//获取GPS数据
	u8 agps[50] = {0};			//获取AGPS数据
	delay_init();          	//延时函数初始化
	uart_init(115200);    	//串口1初始化为115200
//	IWDG_init(7,4095);		//设置看门狗的时间是1S --- 保证MCU在不断命令		
//	LED_Init();          		//初始化与LED连接的硬件接口
//	A9G_init();
	while(DHT11_Init())	//DHT11初始化	
	{
		delay_ms(400);
	}	
	while(1)
	{
		if(t%10==0)//每100ms读取一次
		{									  
			DHT11_Read_Data(&temperature,&humidity);		//读取温湿度值				      
		}
		printf("temperature=%d\r\n",temperature);
		printf("humidity=%d\r\n",humidity);
		delay_ms(10);
		t++;
		if(t==20)
		{
			t=0;
		}
	}
}
